Name:           vim-perl-tt2
Version:        0.1.3 
Release:        2%{?dist}
Summary:        Syntax highlighting for the Template-Toolkit

Group:          Applications/Editors
License:        Vim 
URL:            http://www.vim.org/scripts/script.php?script_id=830
# source0 lives at http://www.vim.org/scripts/download_script.php?src_id=6881
Source0:        tt2.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       vim-common

%global vimfiles  %{_datadir}/vim/vimfiles

%description
%{name} enables syntax highlighting for the Perl Template-Toolkit, v2.

* Contain Perl code in PERL/RAWPERL directive. (runtime sytax/perl.vim)
* No folding
* HTML syntax for including TT2 syntax. ( tt2html.vim / unfinished )
* Configurable START_TAG/END_TAG for your style.

%prep
%setup -q -c

cat >> tt2.vim.ft <<'EOF'
"au BufNewFile,BufRead *.tt2 setf tt2 
"  or
au BufNewFile,BufRead *.tt2
  \ if ( getline(1) . getline(2) . getline(3) =~ '<\chtml' 
  \           && getline(1) . getline(2) . getline(3) !~ '<[%?]') 
  \   || getline(1) =~ '<!DOCTYPE HTML' | 
  \   setf tt2html | 
  \ else | 
  \   setf tt2 | 
  \ endif

"ASP"
":let b:tt2_syn_tags = '<% %>'
"PHP"
":let b:tt2_syn_tags = '<? ?>' 
"TT2 and HTML" 
let b:tt2_syn_tags = '\[% %] <!-- -->' 
EOF

%build
# no-op

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{vimfiles}/syntax
install -p -m 0644 *.vim %{buildroot}%{vimfiles}/syntax

mkdir -p %{buildroot}%{vimfiles}/ftdetect
cp tt2.vim.ft %{buildroot}%{vimfiles}/ftdetect/tt2.vim

%{_fixperms} %{buildroot}

%clean
rm -rf %{buildroot} 


%files
%defattr(-,root,root,-)
%{vimfiles}/ftdetect/*
%{vimfiles}/syntax/*

%changelog
* Mon Sep 28 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.1.3-2
- require vim-common, not vim-perl-support

* Fri Sep 25 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.1.3-1
- initial packaging
